///////////////////////////////////////////////////////////////
// Author: Simone Pellegrini
// Mail: simone.pellegrini@cnaf.infn.it
///////////////////////////////////////////////////////////////

#ifndef GLITE_WMS_COMMON_REQUESTAD_GRAMMAR_H
#define GLITE_WMS_COMMON_REQUESTAD_GRAMMAR_H


#include <dirent.h>
#include <iostream>
#include <exception>
#include <stdexcept>
#include <string>
#include <fstream>
#include <stack>
#include <boost/scoped_ptr.hpp>

namespace glite {
namespace jdl {


struct jdl_grammar ;

class jdl_parser{
		//boost::scoped_ptr<glite::jdl::jdl_grammar> grammar ;
		boost::scoped_ptr<jdl_grammar> grammar ;
		std::stack<std::vector<std::string> *> stack;
	public:
		jdl_parser();

		void parseString(std::string str);

		void parseFile(std::string file_name);

		std::string open_file(const std::string &file_name);

		~jdl_parser();
};

} // jdl namespace
} // glite namespace
#endif

